cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/invoices/{invoiceId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"invoice": {
"invoiceId": "<string>",
"invoiceNumber": "<string>",
"invoiceType": "<string>",
"status": "<string>",
"paymentStatus": "<string>",
"totalPrice": 123,
"totalVat": 123,
"currency": "<string>",
"issueDate": "<string>",
"dueDate": "<string>",
"paymentMethod": "<string>",
"title": "<string>",
"client": {
"clientId": "<string>",
"name": "<string>"
},
"subscriptionId": "<string>",
"clientProductId": "<string>",
"paymentTransactionId": "<string>",
"pdfAvailable": true,
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"items": [
{
"name": "<string>",
"price": 123,
"quantity": 123,
"totalPrice": 123,
"vat": 123,
"adjustmentType": "<string>",
"billingPeriodStart": "<string>",
"billingPeriodEnd": "<string>"
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Invoices
Get invoice
Requires finance_invoices:read. Returns invoice detail metadata and line items, but no raw PDF URL.
GET
/
public
/
v1
/
finance
/
invoices
/
{invoiceId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/invoices/{invoiceId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"invoice": {
"invoiceId": "<string>",
"invoiceNumber": "<string>",
"invoiceType": "<string>",
"status": "<string>",
"paymentStatus": "<string>",
"totalPrice": 123,
"totalVat": 123,
"currency": "<string>",
"issueDate": "<string>",
"dueDate": "<string>",
"paymentMethod": "<string>",
"title": "<string>",
"client": {
"clientId": "<string>",
"name": "<string>"
},
"subscriptionId": "<string>",
"clientProductId": "<string>",
"paymentTransactionId": "<string>",
"pdfAvailable": true,
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"items": [
{
"name": "<string>",
"price": 123,
"quantity": 123,
"totalPrice": 123,
"vat": 123,
"adjustmentType": "<string>",
"billingPeriodStart": "<string>",
"billingPeriodEnd": "<string>"
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
⌘I